Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.schema
Class XSDBuilder

    java.lang.Object
      |
      +--oracle.xml.parser.schema.XSDBuilder

All Implemented Interfaces:
  XSDConstantValues

public class XSDBuilder
extends java.lang.Object
implements XSDConstantValues

Builds an XMLSchema object from XMLSchema document. XMLSchema object is a set of objects (Infoset items) corresponding to top-level schema declrations & definitions. Schema document is 'XML' parsed and converted to a DOM tree. This schema DOM tree is 'Schema' parsed in a following order: <import> (if any) builds a schema object and makes it visible. <include> (if any) is replaced by corresponding DOM tree. Top-level declarations & definitions are registered as a current schema infoset items. Finaly, top-level tree elements (infoset items) are 'Schema' parsed. The result XMLSchema object is a set (infoset) of objects (top-level input elements). Object's contents is a tree with nodes corresponding to low-level element/group decls/refs preceded by node/object of type SNode containg cardinality info (min/maxOccurs).

Field Summary

Fields inherited from interface oracle.xml.parser.schema.XSDConstantValues
`_abstract, _all, _annotation, _any, _anyAttribute, _anySimpleType, _anyType, _appinfo, _attrFormDefault, _attribute, _attributeGroup, _attrTag, _base, _block, _blockDefault, _choice, _complexContent, _complexType, _content, _default, _derivedBy, _documentation, _element, _elementOnly, _elemFormDefault, _empty, _enumeration, _equivClass, _extension, _false, _field, _final, _finalDefault, _fixed, _form, _group, _id, _import, _include, _itemType, _key, _keyref, _lax, _list, _maxOccurs, _memberTypes, _minOccurs, _mixed, _nall, _name, _namespace, _nil, _nillable, _nnany, _nnlist, _nnlocal, _nnother, _nntargetNS, _noNSSchemaLocation, _notation, _null, _nullable, _optional, _pattern, _processContents, _prohibited, _publicid, _qualified, _redefine, _ref, _refer, _required, _restriction, _restrictions, _schema, _schemaLocation, _selector, _sequence, _simpleContent, _simpleType, _skip, _strict, _substitution, _substitutionGrp, _systemid, _targetNS, _textOnly, _this, _true, _type, _undef, _union, _unique, _unqualified, _use, _value, _version, _xmlns, ABSENT_NS, ACCEPTED, ALL, ANNOTATION, ANY, ANY_ATTRIBUTE, ANY_NODE, ATTRIBUTE, ATTRIBUTE_GROUP, AUTO_VALIDATION, BASE_RESOLVED, BASE_UNRESOLVED, BASE_URL, BUILD_FAIL, CHOICE, CIRCULAR_SUBST, CONFLICIT_FACET, constName, DATATYPE, DEEP_VALIDATION, derivationBlock, DONE, DUPLICATE_DEF, duplicateId, ELEMENT, ELEMENT_CHILD, ELEMENT_ONLY, elemNotNullable, EMPTY, ENTITY_RESOLVER, EQUIV_RESOLVED, EQUIV_UNRESOLVED, ERROR, EXTENTION, FACET_CHILD, FAKE_ATTR, FAKE_NODE, FIXED_SCHEMA, GROUP, IABSTRACT, IBLOCKEXT, IBLOCKRST, IBLOCKSUB, IDENTITY_ERROR, IDENTITY_KEY, IDENTITY_KEYREF, IDENTITY_UNIQUE, IFINALEXT, IFINALLIST, IFINALRST, IFINALUNION, IMPORT, INCLUDE, INCORRECT_ATTR, INCORRECT_ELEM, INFINITY, INTERNAL_ERROR, INVALID_DERIVATION, INVALID_FACET, INVALID_FACET_VALUE, INVALID_NOTATION, INVALID_REGEX, INVALID_SCHEMA_NS, INVALID_TYPE_VALUE, invalidAttr, invalidAttrVal, invalidChars, invalidElem, invalidFixedChars, invalidNS, invalidPrefix, invalidProperty, invalidRef, invalidSubstitution, invalidTargetNS, LAX_VALIDATION, MISSING_NS, missingAttr, MIXED, NEW_STATE, NO_CHILD, noDefinition, NOT_DONE, NOTATION, notComplete, notSubstitutable, notSubTypeOf, NS_CONFLICT, NS_DIF_SPECIFIED, NS_NOT_ALLOWED, NS_NOT_EXPECTED, NS_NOT_SAME, NS_RESOLVER, REDEFINE, REF_RESOLVED, REF_UNRESOLVED, RESTRICTION, SCHEMA_NS, SEQ, STRICT_VALIDATION, TEXT_ONLY, TOP_LEVEL, TYPE, TYPE_RESOLVED, TYPE_UNRESOLVED, UNDEF, unexpectedAttr, unexpectedElem, VALIDATION_MODE, VIOLATE_FACET, XSDRECNS, XSDRECTYPENS, XSIRECNS, XSITYPE_ABSENT`

Constructor Summary
`XSDBuilder()` XSDBuilder constructor

Method Summary
`XMLSchema` | `build(InputSource source)` Build an XMLSchema object
`XMLSchema` | `build(java.io.InputStream in, java.net.URL baseurl)` Build an XMLSchema object
`XMLSchema` | `build(java.io.Reader r, java.net.URL baseurl)` Build an XMLSchema object
`XMLSchema` | `build(java.lang.String sysId)` Build an XMLSchema object
`XMLSchema` | `build(java.lang.String ns, java.lang.String sysid)` Build an XMLSchema object
`XMLSchema` | `build(java.lang.String ns, java.net.URL sysid)` Build an XMLSchema object
`XMLSchema` | `build(java.net.URL schemaurl)` Build an XMLSchema object
`XMLSchema` | `build(XMLDocument[] schemaDoc, java.net.URL baseurl)` Build XMLSchema from Array of XML documents
`XMLSchema` | `build(XMLDocument doc, java.lang.String fragment, java.lang.String ns, java.net.URL sysid)` Build an XMLSchema object
`XMLSchema` | `build(XMLDocument schemaDoc, java.net.URL baseurl)` Build XMLSchema from XML document
`java.lang.Object` | `getObject()` Returns the schema object.
`void` | `setDebugMode(boolean mode)` Sets debug mode.
`void` | `setEntityResolver(EntityResolver entResolver)` Set an EntityResolver for resolving imports/include
`void` | `setError(XMLError er)` Sets XMLError object.
`void` | `setLocale(java.util.Locale locale)` Sets locale for error reporting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDBuilder

    public XSDBuilder()
               throws XSDException

  XSDBuilder constructor

Method Detail

### setError

    public void setError(XMLError er)

  Sets XMLError object.
  Parameters:
    `er` - XMLError object

### setDebugMode

    public void setDebugMode(boolean mode)

  Sets debug mode.
  Parameters:
    `mode` - boolean

### setLocale

    public void setLocale(java.util.Locale locale)

  Sets locale for error reporting.
  Parameters:
    `locale` - Locale object

### setEntityResolver

    public void setEntityResolver(EntityResolver entResolver)

  Set an EntityResolver for resolving imports/include
  Parameters:
    `entResolver` - EntityResolver
  See Also:
    `EntityResolver`

### getObject

    public java.lang.Object getObject()

  Returns the schema object.
  Returns:
    XMLSchema object.

### build

    public XMLSchema build(java.lang.String sysId)
                    throws XSDException

  Build an XMLSchema object
  Parameters:
    `sysId` - Schema location
  Returns:
    Object - XMLSchema
  Throws:
    `XSDException` - An `XSDException` is thrown if Builder fails to build an XMLSchema object.

### build

    public XMLSchema build(java.io.InputStream in,
                           java.net.URL baseurl)
                    throws XSDException

  Build an XMLSchema object
  Parameters:
    `in` - Inputstream of Schema
    `baseurl` - URL used to resolve any relative refs.
  Returns:
    Object - XMLSchema
  Throws:
    `XSDException` - An `XSDException` is thrown if Builder fails to build an XMLSchema object.

### build

    public XMLSchema build(java.io.Reader r,
                           java.net.URL baseurl)
                    throws XSDException

  Build an XMLSchema object
  Parameters:
    `r` - Reader of Schema
    `baseurl` - URL used to resolve any relative refs.
  Returns:
    Object - XMLSchema
  Throws:
    `XSDException` - An `XSDException` is thrown if Builder fails to build an XMLSchema object.

### build

    public XMLSchema build(java.net.URL schemaurl)
                    throws XSDException

  Build an XMLSchema object
  Returns:
    Object - XMLSchema
  Throws:
    `XSDException` - An `XSDException` is thrown if Builder fails to build an XMLSchema object.

### build

    public XMLSchema build(InputSource source)
                    throws XSDException

  Build an XMLSchema object
  Returns:
    Object - XMLSchema
  Throws:
    `XSDException` - An `XSDException` is thrown if Builder fails to build an XMLSchema object.

### build

    public XMLSchema build(XMLDocument schemaDoc,
                           java.net.URL baseurl)
                    throws XSDException

  Build XMLSchema from XML document
  Parameters:
    `schemaDoc` - XMLDocument
    `baseurl` - base URL to be use for any import/include in document
  Returns:
    Object - XMLSchema
  Throws:
    `XSDException` - An `XSDException` is thrown if Builder fails to build an XMLSchema object.

### build

    public XMLSchema build(XMLDocument[] schemaDoc,
                           java.net.URL baseurl)
                    throws XSDException

  Build XMLSchema from Array of XML documents
  Parameters:
    `schemaDoc` - Array of XMLDocument
    `baseurl` - base URL to be use for any import/include in document
  Returns:
    Object - XMLSchema
  Throws:
    `XSDException` - An `XSDException` is thrown if Builder fails to build an XMLSchema object.

### build

    public XMLSchema build(XMLDocument doc,
                           java.lang.String fragment,
                           java.lang.String ns,
                           java.net.URL sysid)
                    throws XSDException

  Build an XMLSchema object
  Parameters:
    `doc` - XMLdocument contain the schema element
    `fragment` - Fragment ID of the schema element
    `ns` - Schema target namespace used to validate targetNamespace
  Returns:
    Object XMLSchema
  Throws:
    `XSDException` - An `XSDException` is thrown if Builder fails to build an XMLSchema object.

### build

    public XMLSchema build(java.lang.String ns,
                           java.lang.String sysid)
                    throws XSDException

  Build an XMLSchema object
  Parameters:
    `ns` - Schema target namespace used to validate targetNamespace
  Returns:
    Object XMLSchema
  Throws:
    `XSDException` - An `XSDException` is thrown if Builder fails to build an XMLSchema object.

### build

    public XMLSchema build(java.lang.String ns,
                           java.net.URL sysid)
                    throws XSDException

  Build an XMLSchema object
  Parameters:
    `ns` - Schema target namespace used to validate targetNamespace
  Returns:
    Object XMLSchema
  Throws:
    `XSDException` - An `XSDException` is thrown if Builder fails to build an XMLSchema object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.